0

Download Driver

By 09/28/2016March 27th, 2017Driver

27 Comments

  • raquel barnes says:

    hello
    i just purchased this printer, but we have mac’s at our office, should we wait until feb 2017 for the driver for mac to launch or do you recommend us returning this item?

    • Rollo says:

      The same printer you have will work with Mac once the driver is released in Feb. You will simply need to visit this page and download the Mac driver.

      Update 02/28/2017: Mac driver – beta is now available for download.

  • Andy says:

    Any update on mac capabilities?

    • Rollo says:

      It is expected to be released mid to end of February. I have made a note to notify you via email as soon as it is ready.

      -Jonathan Olsen

      Update 02/28/2017: Mac driver – beta is now available for download.

  • raquel barnes says:

    its the end of feb now, is there still nothing available?

  • kevin says:

    I just tried to install the beta version and a window came up that says ‘“RolloPrinter.pkg” can’t be opened because it is from an unidentified developer.’

    going to update my OS and see if that helps anything.

  • Fred says:

    Do you have a driver for UBUNTU?

    • Rollo says:

      Thank you for your question. Rollo does not have a driver for UBUNTU at this time.

      • Troy says:

        Interested in drivers for Ubuntu as well. Do you have any plans for Ubuntu drivers?

        • Rollo says:

          At this time, Ubuntu is not in the plan; however, I did up vote it in our internal wish list to reflect your request.

  • Rhonda says:

    I can’t find the printer driver in the dropdown menu to install printer. I’ve already installed the driver, using a Mac.

    • Rollo says:

      Thank you for your comment. I have sent you an email directly. We can do a quick remote-desktop sharing to see what is happening and get it fixed for you right away.

      -Kevin Walton

  • Kent says:

    Any chance you’ll be making a linux driver for a RaspberryPi to support this printer?

    • Rollo says:

      This is not yet scheduled but if there is enough interest, we can certainly develop a driver for Linux.

      -Jonathan Olsen

  • Grant says:

    Hi Jonathan

    Are the latest Mac drivers still being released today.

    • Rollo says:

      Just checked with development team and looks like few new bugs were discovered. They are wanting to push the release date back by a week. I do apologize for the inconvenience and will email you directly once it is released.

      Jonathan Olsen

      • Lori Brennen says:

        What about now is there a new Mac Driver, I am considering getting this printer but I have a mac

        • Rollo says:

          Thank you for your comment. Mac Driver Beta 2.0 offers multi-page print support, custom label sizes, print margins and all the main features you would need to print your labels. We will continue to add features in future releases. You may upgrade your driver by simply downloading it from this page.

  • harrycarey6 says:

    cant you also just use windows network printer to print from iOS? I print labels from my linux desktop all the time.

    Just need to have the printer plugged into a windows laptop on the same wifi/LAN. and click “share printer on network”.

  • Val says:

    I like this printer, but I am a linux user and want to know nearest perspective.

    • Rollo says:

      Thank you for your comment. At this time, we do not have Linux support planned. I have up-voted Linux support by one vote in our internal feature request list.

      Thank you,
      Josh Bryant
      Rollo

  • Grant says:

    Hi Jonathan
    I have a problem that is getting worse since the last update. Every time I hit print the printer moves the label back then forward about an 1/8″ and doesn’t print anything. The only way to print is turn it off and back on then hit print again.

  • Dan says:

    What is Minimum OS version requirement for Mac? I have tried with an older Mac we use as a shipping station and it doesn’t work with 10.7. Our graphics system that uses 10.11 seems to work fine. Just curious what we need to get up to for compatibility.

    Thanks

    • Rollo says:

      Rollo Mac Driver Requires OS X 10.9 or newer. I will make sure this is stated on our documentations.

      Regards,
      Jonathan Olsen
      Rollo